=== debian/changelog ===
boinc (7.4.23+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:26:02 +0100

boinc (7.4.23+dfsg-1exp3) experimental; urgency=medium

  [ Nelson A. de Oliveira ]
  * Fix wrong chown binary path (Closes: #768429).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 07 Nov 2014 12:30:50 +0100

boinc (7.4.23+dfsg-1exp2) experimental; urgency=medium

  * Fix other dependencies on dbg packages.
  * Reorder debian patches, drop useless and old ones.
  * Add pre-depends on shared multiarch packages.
  * Add service file, tweaked from the fedora one.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 18 Oct 2014 14:34:41 +0200

boinc (7.4.23+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 17:15:26 +0200

boinc (7.4.23+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Relaxing dependencies between packages, to allow binNMUs
    (Closes: #765670).
  * Remove useless -dbg packages dependencies.
  * Make boinc multiarch compatible:
    - switch dev packages to arch:any
    - remove disabled multiarch tweaks in rules file.
    - tweak .install files to point to the triplet lib directory

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 14:49:21 +0200

boinc (7.4.22+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 18:06:45 +0200

boinc (7.4.22+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  [ mdt]
  * Add lbcudart-6.5 compatibility.
  [ Gianfranco Costamagna ]
  * Fix again some lintian copyright problems.
  * Remove a pyshared empty directory (server-maker).
  * Fix missing "Keywords" in desktop file.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 10 Oct 2014 19:59:25 +0200

boinc (7.4.22+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 01 Oct 2014 17:59:09 +0200

boinc (7.4.22+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Build with NDEBUG to disable massive debug output
    in ~/.BOINC/stderrgui.txt file (Closes: #763113)
  * Fix some entries in copyright file for lintian happyness.
  * Don't require all facilities in boinc-client start,
    making lintian happy again.
  * Update copyright file.
  * Bump std-version to 3.9.6, no changes required.
  * Fix dh_install and dh_strip targets.
  [ mdt ]
  * Add dh-python as B-D.
  * Add new libcuda{,rt} compatibility.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 01 Oct 2014 17:57:03 +0200

boinc (7.4.22+dfsg-1exp1) experimental; urgency=low

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 24 Sep 2014 10:53:05 +0200

boinc (7.4.22+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove termios_is_everywhere.patch, fixed upstream.
  * Remove libx11-dev, libxcb-dpms0-dev, libxss-dev, libxext-dev
    from build dependencies, upstream now uses /dev to
    get devices information.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 03 Sep 2014 10:27:56 +0200

boinc (7.4.18+dfsg-1exp2) experimental; urgency=medium

  * Re-enable termios_is_everywhere.patch, kfreebsd
    still have the build failures.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Sep 2014 09:59:08 +0200

boinc (7.4.18+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.
  * Disable no-add-needed LDFLAG.
  * Attempt to disable termios_is_everywhere.patch and
    upstream_sztaki_configureEval.patch
  * Patch tweaks and refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Sep 2014 16:20:15 +0200

boinc (7.4.18+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release, drop mv-md5.patch and
    libnotify-0.7.patch, accepted upstream.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Sep 2014 15:01:37 +0200

boinc (7.4.14+dfsg-2exp2) experimental; urgency=medium

  * Correctly exporting LDFLAGS prior to add them.
  * Move .gitignore to debian directory, to keep the delta from
    upstream minimal.
  * d/p/fix-dependencies.patch depending from a target rather than la
    (to avoid race conditions between the "ln" and the use of the
    static library)
  * Remove double LDFLAG inclusion in add-ldflags.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 30 Aug 2014 20:31:45 +0200

boinc (7.4.14+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Aug 2014 19:00:36 +0200

boinc (7.4.14+dfsg-2) unstable; urgency=medium

  * Update fix-typo.patch with another typo fixed.
  * Move boinc-client from depends of boinc-manager.
  * Export again hardening flags.
  * Fix typo in rules file (override_dh_auto_install called
    as rm argument).
  * Enable parallel builds only for experimental (Closes: #758184).
  * Fix lintian duplicate short description on boinc-dev.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Aug 2014 10:38:10 +0200

boinc (7.4.14+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Aug 2014 20:36:56 +0200

boinc (7.4.14+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove X-interactive from init script, not used.
  * Fix a typo in lib/Makefile.am (typo-fix.patch)
  * Disable dynamic_libboinc.patch, it was not needed and moreover

