## boinc 7.6.6+dfsg

=== debian/changelog ===
boinc (7.6.6+dfsg-3) unstable; urgency=medium

  * d/p/fix-underlinking.patch (Closes: #794107).
    Thanks Thorsten Glaser for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2015 09:18:00 +0200

boinc (7.6.6+dfsg-2exp1) unstable; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2015 20:07:29 +0200

boinc (7.6.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2015 20:06:43 +0200

boinc (7.6.6+dfsg-1exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release, patch refresh.
  * Update my uid
  * Re-enable screensaver package.
  * Add nvidia-modprobe as dependency (LP: #1400021)
  * d/control.in according to gcc, virtual package libstdc++-dev
    is enough to provide libstdc++.a.
  * d/patches/coproc.patch, fix build failure.
  * Make boinc Multi-Arch: same
  * Drop patches now that 7.5 is a tag from master
    - debian/patches/coproc.patch
    - debian/patches/fix-typo.patch
    - debian/patches/server_status_php.patch
  [ Vincent Danjean ]
  * fix gpu stuff (Closes: #763655)
  [ Michael Tautschnig ]
  * d/p/envargs.patch, fix inconsistencies spot with research compiler.
    (Closes: #747964)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2015 14:25:20 +0200

boinc (7.4.23+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:27:40 +0100
