=== debian/control ===
--- 
+++ 
@@ -62,13 +62,13 @@
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
 
-Package: boinc-nvidia-cuda
+Package: boinc-client-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}
-Recommends: libcuda1 | libcuda-5.0-1 | libcuda-5.5-1 | libcuda-6.0-1 | libcuda-6.5-1 | nvidia-173 | nvidia-current | nvidia-current-updates | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates | nvidia-319 | nvidia-319-updates | nvidia-331 | nvidia-331-updates | libcuda1-304 | libcuda1-304-updates | libcuda1-331 | libcuda1-331-updates,
-            libcudart4 | libcudart5.0 | libcudart5.5 | libcudart6.0 | libcudart6.5
+Breaks: boinc-nvidia-cuda
+Replaces: boinc-nvidia-cuda
+Depends: ${misc:Depends}, boinc-client, nvidia-modprobe, libcuda1 | libcudart6.5 | libcudart6.0 | libcudart5.5
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -83,12 +83,14 @@
  section to the regular boinc package. This also meant this binary
  package to be redistributed in the contrib section of Debian.
 
-Package: boinc-amd-opencl
-Architecture: amd64 i386
+Package: boinc-client-opencl
+Architecture: any
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}
-Recommends: amd-libopencl1 | fglrx | fglrx-updates, fglrx-driver
+Breaks: boinc-amd-opencl
+Replaces: boinc-amd-opencl
+Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
+Recommends: amd-opencl-icd | opencl-icd
 Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -102,11 +104,28 @@
  graphics cards.  This package adds a series of dependencies from the
  non-free section to the regular boinc package. This also meant this
  binary package to be redistributed in the contrib section of Debian.
- .
- This package is not perfect, yet. A major problem for the moment
- is the availability of the OpenCL driver for 32bit binaries for
- amd64. If this is planned, install the amd-app package provided
- through the AMD developer forum.
+
+Package: boinc-client-fglrx
+Architecture: amd64 i386
+Section: contrib/net
+Priority: extra
+Breaks: boinc-nvidia-cuda
+Replaces: boinc-nvidia-cuda
+Depends: ${misc:Depends}, boinc-client
+Recommends: libfglrx | fglrx-updates | fglrx
+Description: metapackage for AMD/ATI fglrx-savvy BOINC client and manager
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ Regular users (righteously) often find it an unbearable nuisance to
+ care for the configuration of BOINC for the fglrx-savvy AMD/ATI
+ graphics cards.  This package adds a series of dependencies from the
+ non-free section to the regular boinc package. This also meant this
+ binary package to be redistributed in the contrib section of Debian.
 
 Package: boinc-client
 Architecture: any
@@ -116,7 +135,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Suggests: boinc-amd-opencl, boinc-manager, boinc-nvidia-cuda, x11-xserver-utils
+Suggests: boinc-client-opencl, boinc-client-fglrx, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -131,6 +150,36 @@
  attaching a local machine to a project, this client will also
  dynamically download the scientific data and executables to be then
  wrapped by the BOINC core client.
+
+Package: boinc-screensaver
+Section: x11
+Architecture: any
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
+Suggests: boinc-manager
+Description: screen saver auto-controlling volunteer computing
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ The BOINC client is configurable by the command line or the BOINC
+ manager's GUI to compute with any range between 0% and 100% of
+ available resources, and to change that ratio to a higher after
+ some user determined duration of inactivity. There is now quite
+ a number of individuals who prefer to have everything presented
+ with their accustomed principle for setting and choosing a screen
+ saver. Upon inactivity, the BOINC client is started, and stopped
+ again when the user is back. To save the screen, it then shows
+ the graphical progress indication as optionally shown also by
+ the manager.
+ .
+ This package is excellent to further promote BOINC, recalling the
+ effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
+ Just, when using it together with the regular BOINC client setup,
+ it is suggested not to have all CPUs used to avoid multiple
+ processes running on the same core.
 
 Package: boinc-manager
 Section: x11
@@ -176,7 +225,7 @@
          libc6-dev | libc-dev,
          libmysqlclient-dev,
          libssl-dev,
-         libstdc++-4.8-dev | libstdc++-4.9-dev,
+         libstdc++-dev,
          ${misc:Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3)
@@ -190,6 +239,7 @@
 
 Package: libboinc-app7
 Provides: libboinc-app
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
@@ -206,6 +256,7 @@
 
 Package: libboinc7
 Provides: libboinc
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
@@ -231,13 +282,3 @@
          ${misc:Depends}
 Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
 Description: debugging symbols for BOINC binaries
- The Berkeley Open Infrastructure for Network Computing (BOINC) is a
- software platform for distributed computing using volunteered computer
- resources.
- .
- This package contains unstripped versions of all binaries included in
- the BOINC client packages. It is provided primarily to provide a backtrace
- with names in a debugger, this makes it somewhat easier to interpret
- core dumps. For installations running a BOINC server locally, it may
- be of interest to also install the boinc-server-dbg package.
-
