=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://github.com/BOINC/boinc/tags .*/client_release/\d\.\d/(\d.*)\.tar\.gz  \
debian /bin/sh debian/get-orig-source.sh
