=== debian/rules ===
--- 
+++ 
@@ -174,6 +174,7 @@
   --enable-libraries \
   --enable-unicode \
   --enable-shared \
+  --enable-dynamic-client-linkage \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)" \
@@ -232,5 +233,3 @@
 	dh_auto_configure -- $(CFGFLAGS_boinc-client)
 
 update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
-	docbook2x-man debian/manpages/update-boinc-applinks.xml
-
