=== samples/vboxmonitor/Makefile ===
--- 
+++ 
@@ -26,5 +26,5 @@
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
-vboxwrapper: vboxmonitor.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
+vboxmonitor: vboxmonitor.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
 	g++ $(CXXFLAGS) -o vboxmonitor vboxmonitor.o libstdc++.a -pthread -lboinc_api -lboinc
