=== debian/changelog ===
boinc (7.6.31+dfsg-6) unstable; urgency=medium

  * Upload to unstable
  [ Lorenzo Mastrogiacomi ]
  * Make cc_config.xml configurable from users
    members of boinc group (Closes: #818789).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 12:36:30 +0200

boinc (7.6.31+dfsg-5exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Apr 2016 10:46:14 +0200

boinc (7.6.31+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  [ Christian Beer ]
  * debian/patches/dcd9eb3c2ec1f729b12983bf5ee6395565871a22.patch:
    fix nvidia GPU detection (Closes: #819990)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Apr 2016 10:44:47 +0200

boinc (7.6.31+dfsg-4exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 11:47:42 +0200

boinc (7.6.31+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * do not build cuda package on ppc64el, libcuda1 is not
    available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 11:44:46 +0200

boinc (7.6.31+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 12:50:16 +0200

boinc (7.6.31+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * Add ppc64el to nvidia-cuda packages, and refactor
    nvidia libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 12:49:16 +0200

boinc (7.6.31+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 11:06:22 +0200

boinc (7.6.31+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * Drop nvidia-modprobe and cudart libraries, not used.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 11:04:10 +0200

boinc (7.6.31+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2016 10:09:25 +0100

boinc (7.6.31+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2016 10:08:25 +0100

boinc (7.6.29+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Mar 2016 17:17:22 +0100

boinc (7.6.29+dfsg-2) unstable; urgency=high

  * Upload to unstable.
  * fix typo in control.in file, preventing the package
    from being backported (libstdc++5-dev not available)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Mar 2016 17:14:23 +0100

boinc (7.6.29+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2016 19:24:41 +0100

boinc (7.6.29+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2016 19:23:55 +0100

boinc (7.6.28+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 17:35:31 +0100

boinc (7.6.28+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release, patch refresh.
  * Bump std-version to 3.9.7, and watch file to 4.
  * Fix unsecure VCS-* fields.
  [ Preston Maness ]
  * Fix missing stdout/stderr logs with systemd service file.
    Closes: #815214

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 17:28:44 +0100

boinc (7.6.25+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 19:03:56 +0100

boinc (7.6.25+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add support for cuda 7.5 (amd64 only). Closes: #814659
    - thanks Andreas Beckmann for the useful bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 19:01:48 +0100

boinc (7.6.25+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 12:42:39 +0100

boinc (7.6.25+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable
  * Remove sleep 1 in service file, useless because it doesn't
    fix the missing GPU detect (LP: #1544300)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 12:38:59 +0100

boinc (7.6.23+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2016 20:20:32 +0100

boinc (7.6.23+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (Closes: #811947)
  * Drop all patches from Preston: upstream.
  * Patch refresh.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2016 20:00:48 +0100

boinc (7.6.22+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jan 2016 18:37:05 +0100

boinc (7.6.22+dfsg-3) unstable; urgency=medium

  [ Marcel Partap]
  * Add IOSchedulingClass=idle to service file, avoiding ionice
    (Closes: #813134)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jan 2016 18:35:35 +0100


