=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
-           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.6
+           Gianfranco Costamagna <locutusofborg@debian.org>
+Standards-Version: 3.9.7
 Build-Depends: autoconf,
                automake,
                autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-python,
                dh-systemd,
-               dh-python,
                docbook-xml,
                docbook2x,
                dpkg-dev (>= 1.16.1.1),
@@ -35,14 +35,15 @@
                libxi-dev,
                libxml2-utils,
                libxmu-dev,
+               libxss-dev,
                pkg-config,
                po-debconf,
                python-all,
                python-setuptools,
                zlib1g-dev
-Homepage: http://boinc.berkeley.edu/
-Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc.git
+Homepage: https://boinc.berkeley.edu/
+Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc.git
 
 Package: boinc
 Architecture: all
@@ -63,12 +64,12 @@
  BOINC core client.
 
 Package: boinc-client-nvidia-cuda
-Architecture: amd64 i386
+Architecture: amd64 i386 armhf
 Section: contrib/net
 Priority: extra
 Breaks: boinc-nvidia-cuda
 Replaces: boinc-nvidia-cuda
-Depends: ${misc:Depends}, boinc-client, nvidia-modprobe, libcuda1 | libcudart6.5 | libcudart6.0 | libcudart5.5
+Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -225,7 +226,7 @@
          libc6-dev | libc-dev,
          libmysqlclient-dev,
          libssl-dev,
-         libstdc++-dev,
+         libstdc++6-4.7-dev | libstdc++-4.8-dev | libstdc++-4.9-dev | libstdc++-5-dev,
          ${misc:Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3)
@@ -280,5 +281,3 @@
 Architecture: any
 Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}),
          ${misc:Depends}
-Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
-Description: debugging symbols for BOINC binaries
