=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/BOINC/boinc/tags .*/client_release/\d\.\d/(\d.*)\.tar\.gz
